Bug 483557

Summary: Review Request: perl-MooseX-SimpleConfig - Moose role for setting attributes from a simple configfile
Product: [Fedora] Fedora Reporter: Allisson Azevedo <allisson>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, iarnell, notting, panemade
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-03 18:19:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Allisson Azevedo 2009-02-02 13:27:52 UTC
Spec URL: http://allisson.fedorapeople.org/packages/perl-MooseX-SimpleConfig/perl-MooseX-SimpleConfig.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-MooseX-SimpleConfig/perl-MooseX-SimpleConfig-0.03-1.fc10.src.rpm

Description: This role loads simple configfiles to set object attributes. It is based on
the abstract role MooseX::ConfigFromFile, and uses Config::Any to load your
configfile. Config::Any will in turn support any of a variety of different
config formats, detected by the file extension. See Config::Any for more
details about supported formats.

Comment 1 Parag AN(पराग) 2009-02-02 16:24:56 UTC
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1099483
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6aacecf18afbf17f97e666c0197a5e18 MooseX-SimpleConfig-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
Files=3, Tests=12,  1 wallclock secs ( 0.02 usr  0.01 sys +  1.62 cusr  0.10 csys =  1.75 CPU)
+ Package perl-MooseX-SimpleConfig-0.03-1.fc11 ->
Provides: perl(MooseX::SimpleConfig) = 0.03
Requires: perl(Config::Any) perl(Moose::Role)

 APPROVED.

Comment 2 Allisson Azevedo 2009-02-02 16:30:50 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-SimpleConfig
Short Description: Moose role for setting attributes from a simple configfile
Owners: allisson
Branches: F-9 F-10

Comment 3 Kevin Fenzi 2009-02-03 04:18:46 UTC
cvs done.

Comment 4 Iain Arnell 2012-01-15 09:24:49 UTC
Package Change Request
======================
Package Name: perl-MooseX-SimpleConfig
InitialCC: perl-sig

Please add perl-sig to this package with watchbugzilla and watchcommits bits on all fedora branches.

Comment 5 Gwyn Ciesla 2012-01-15 22:17:27 UTC
Done.